/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: DefaultGeneralPreferences.java,v 2f2699dccf00 2010/05/14 22:28:01 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile;

import javax.annotation.Nonnull;
import java.util.Date;
import java.text.SimpleDateFormat;
import org.openide.util.NbBundle;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class DefaultGeneralPreferences implements GeneralPreferences
  {
    @Nonnull
    public String formatDateAndTime (final @Nonnull Date date)
      {
        final String pattern = NbBundle.getMessage(DefaultGeneralPreferences.class, "dateTimePattern");
        return new SimpleDateFormat(pattern).format(date);
      }

    @Nonnull
    public String formatDateAndTime (final @Nonnull Date date,
                                     final @Nonnull String prefix,
                                     final @Nonnull String postfix)
      {
        final String pattern = NbBundle.getMessage(DefaultGeneralPreferences.class, "dateTimePattern");
        return new SimpleDateFormat(String.format("'%s'%s'%s'", prefix, pattern, postfix)).format(date);
      }

    @Nonnull
    public String formatTime (final @Nonnull Date date)
      {
        final String pattern = NbBundle.getMessage(DefaultGeneralPreferences.class, "timePattern");
        return new SimpleDateFormat(pattern).format(date);
      }
  }
